/*
 *  Amanith Python wrapper
 *  Copyright (C) 2005-2007 by Sami Kystil <sami.kyostila@gmail.com>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License along
 *  with this program; if not, write to the Free Software Foundation, Inc.,
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

/* All the rest comes from the headers */
%include <build/amanith/include/amanith/gglobal.h>
%include <build/amanith/include/amanith/geometry/ginterval.h>
%include <build/amanith/include/amanith/geometry/gvect.h>
%include <build/amanith/include/amanith/geometry/gquat.swig.h>
%include <build/amanith/include/amanith/geometry/gmatrix.h>
%include <build/amanith/include/amanith/support/gutilities.h>
%include <build/amanith/include/amanith/gclassid.h>
%include <build/amanith/include/amanith/gelement.h>
%include <build/amanith/include/amanith/gerror.h>
%include <build/amanith/include/amanith/gimpexp.h>
%include <build/amanith/include/amanith/gkernel.h>
%include <build/amanith/include/amanith/gmath.h>
%include <build/amanith/include/amanith/gmultiproperty.h>
%include <build/amanith/include/amanith/gopenglext.h>
%include <build/amanith/include/amanith/gpluglib.h>
%include <build/amanith/include/amanith/gproperty.h>
%include <build/amanith/include/amanith/geometry/gaabox.h>
%include <build/amanith/include/amanith/geometry/gaffineparts.h>
%include <build/amanith/include/amanith/geometry/garea.h>
%include <build/amanith/include/amanith/geometry/gaxisangle.swig.h>
%include <build/amanith/include/amanith/geometry/gdistance.h>
%include <build/amanith/include/amanith/geometry/gintersect.h>
%include <build/amanith/include/amanith/geometry/glineseg.h>
%include <build/amanith/include/amanith/geometry/goobox.h>
%include <build/amanith/include/amanith/geometry/gplane.h>
%include <build/amanith/include/amanith/geometry/gquat.h>
%include <build/amanith/include/amanith/geometry/gray.h>
%include <build/amanith/include/amanith/geometry/gsphere.h>
%include <build/amanith/include/amanith/geometry/gxform.h>
%include <build/amanith/include/amanith/geometry/gxformconv.h>
%include <build/amanith/include/amanith/numerics/geigen.h>
%include <build/amanith/include/amanith/numerics/gfilter.h>
%include <build/amanith/include/amanith/numerics/gintegration.h>
%include <build/amanith/include/amanith/1d/gcurve1d.h>
%include <build/amanith/include/amanith/1d/gmulticurve1d.h>
%include <build/amanith/include/amanith/1d/gbsplinecurve1d.swig.h>
%include <build/amanith/include/amanith/1d/ghermitecurve1d.h>
%include <build/amanith/include/amanith/1d/gpolylinecurve1d.h>
%include <build/amanith/include/amanith/2d/gcurve2d.h>
%include <build/amanith/include/amanith/2d/gmulticurve2d.h>
%include <build/amanith/include/amanith/2d/ganimtrsnode2d.h>
%include <build/amanith/include/amanith/2d/gbeziercurve2d.h>
%include <build/amanith/include/amanith/2d/gbsplinecurve2d.h>
%include <build/amanith/include/amanith/2d/gellipsecurve2d.h>
%include <build/amanith/include/amanith/2d/ghermitecurve2d.h>
%include <build/amanith/include/amanith/2d/gfont2d.h>
%include <build/amanith/include/amanith/2d/gmesh2d.h>
%include <build/amanith/include/amanith/2d/gpath2d.h>
%include <build/amanith/include/amanith/2d/gpixelmap.h>
%include <build/amanith/include/amanith/2d/gpolylinecurve2d.h>
%include <build/amanith/include/amanith/2d/gtesselator2d.h>
%include <build/amanith/include/amanith/2d/gtracer2d.h>
%include <build/amanith/include/amanith/rendering/gdrawstyle.h>
%include <build/amanith/include/amanith/rendering/gdrawboard.swig.h>
%include <build/amanith/include/amanith/rendering/gopenglboard.h>
%include <build/amanith/include/amanith/support/gavltree.h>
/*%include <build/amanith/include/amanith/support/gmetaprogramming.h>*/
%include <build/amanith/include/amanith/support/gsvgpathtokenizer.h>
