/*
 *  Amanith Python wrapper
 *  Copyright (C) 2005-2007 by Sami Kystil <sami.kyostila@gmail.com>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License along
 *  with this program; if not, write to the Free Software Foundation, Inc.,
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */


/* Useful template instantiations */
%template(GVectorBase2)     Amanith::GVectBase<GReal, 2>;
%template(GVectorBase3)     Amanith::GVectBase<GReal, 3>;
%template(GVectorBase4)     Amanith::GVectBase<GReal, 4>;
%template(GVector2)         Amanith::GVect<GReal, 2>;
%template(GVector3)         Amanith::GVect<GReal, 3>;
%template(GVector4)         Amanith::GVect<GReal, 4>;
%template(GPoint2)          Amanith::GPoint<GReal, 2>;
%template(GPoint3)          Amanith::GPoint<GReal, 3>;
%template(GPoint4)          Amanith::GPoint<GReal, 4>;
%template(GAxisAngle)       Amanith::GAxisAng<GReal>;
%template(GQuaternion)      Amanith::GQuat<GReal>;
%template(GMatrix22)        Amanith::GMatrix<GReal, 2, 2>;
%template(GMatrix23)        Amanith::GMatrix<GReal, 2, 3>;
%template(GMatrix33)        Amanith::GMatrix<GReal, 3, 3>;
%template(GMatrix34)        Amanith::GMatrix<GReal, 3, 4>;
%template(GMatrix43)        Amanith::GMatrix<GReal, 4, 3>;
%template(GMatrix44)        Amanith::GMatrix<GReal, 4, 4>;


/* Why don't these work? */

/*
%template(Mult33)           Amanith::Mult< Amanith::GMatrix<GReal, 3, 3>&,
                                           const Amanith::GMatrix<GReal, 3, 3>&,
                                           const Amanith::GMatrix<GReal, 3, 3>& >;

*/

/*
%template(Mult33)           Amanith::operator*< const Amanith::GMatrix<GReal, 3, 3>&, const Amanith::GMatrix<GReal, 3, 3>& >;
*/
