/*
 *  Amanith Python wrapper
 *  Copyright (C) 2005-2007 by Sami Kystil <sami.kyostila@gmail.com>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License along
 *  with this program; if not, write to the Free Software Foundation, Inc.,
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

/* Ignore some difficult stuff */
%ignore Amanith::GKeyValue::Vect2Value;
%ignore Amanith::GKeyValue::Vect3Value;
%ignore Amanith::GKeyValue::Vect4Value;
%ignore Amanith::GProperty::Domain;
%ignore Amanith::SysUtils;
%ignore G_MAX_INT64;
%ignore G_MIN_INT64;
%ignore G_MAX_UINT32;
%ignore G_MAX_ULONG;
%ignore G_MAX_UINT64;

/* Where are these symbols? */
%ignore Amanith::GEllipseCurve2D::XAxis;
%ignore Amanith::GEllipseCurve2D::YAxis;
%ignore Amanith::GFont2D::CharMap;
%ignore Amanith::GRenderingContext::GRenderingContext;

/* Don't mind these unsupported things */
%warnfilter(362) Amanith::GInterval::operator=;
%warnfilter(362) Amanith::GClassID::operator=;
%warnfilter(362) Amanith::GElement::operator=;
%warnfilter(362) Amanith::GDrawStyle::operator=;

/* Don't whine about nested classes */
#pragma SWIG nowarn=312
